package com.fdkanfang.service.backend;

import com.fdkanfang.domain.backend.ResourceEntity;
import com.fdkanfang.domain.backend.UserEntity;
import com.fdkanfang.service.IBaseMapperService;
import com.fdkanfang.service.backend.dto.ResourceTree;

import java.util.List;
import java.util.Set;

/**
 * Created by owen on 2020/3/12 0012 9:52
 */
public interface ResourceService2 extends IBaseMapperService<ResourceEntity, Long> {

//        List<ResourceTree> getResourcesTreeByUserMenu(User user) throws Exception;

    List<ResourceTree> getResourcesTreeByUserPermission(UserEntity user) throws Exception;

    List<ResourceTree> getTree() throws Exception;

    List<ResourceEntity> getResourcesByUserPermission(UserEntity user);

    Set<String> findResourceKeyByUserId(Long id);

}
